Public Member Functions | Public Attributes | Private Member Functions | List of all members
libebook::XMLCollector::State Struct Reference

## Public Member Functions
| State ()
const OutputHandlerPtr_t | getCurrentOutput () const

## Public Attributes
EBOOKOutputElements | output
RVNGPropertyList | metadata
StackMachine | machine
stack< Context > | contextStack
stack< Context > | savedStack
const RVNGPropertyList * | currentProps

## Private Member Functions
| State (const State &)
State & | operator= (const State &)

## Constructor & Destructor Documentation

## ◆ State() [1/2]

libebook::XMLCollector::State::State | ( |  | ) |

## ◆ State() [2/2]

libebook::XMLCollector::State::State | ( | const State & |  | ) |
| private

## Member Function Documentation

## ◆ getCurrentOutput()

const OutputHandlerPtr_t libebook::XMLCollector::State::getCurrentOutput | ( |  | ) | const

## ◆ operator=()

State & libebook::XMLCollector::State::operator= | ( | const State & |  | ) |
| private

## Member Data Documentation

## ◆ contextStack

stack<Context> libebook::XMLCollector::State::contextStack

## ◆ currentProps

const RVNGPropertyList* libebook::XMLCollector::State::currentProps

## ◆ machine

StackMachine libebook::XMLCollector::State::machine

## ◆ metadata

RVNGPropertyList libebook::XMLCollector::State::metadata

## ◆ output

EBOOKOutputElements libebook::XMLCollector::State::output

## ◆ savedStack

stack<Context> libebook::XMLCollector::State::savedStack

The documentation for this struct was generated from the following file:

- XMLCollector.cpp